<?php
/**
 * @copyright	Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 
 * Template Design by Pixel Point Creative.
 
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$enable_ie6warn             = ($this->params->get("enableIe6warn", 1)  == 0)?"false":"true";
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('colorVariation'); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/sf_menu<?php echo $this->params->get('colorVariation'); ?>.css" type="text/css" />
<link href="/templates/rawk/favicon.ico" rel="shortcut icon" type="image/x-icon" />

<?php if($enable_ie6warn=="true") : ?>
<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/ie6warning.js"></script>
<?php endif; ?>

<?php 
if($this->countModules('spotlightleft') == 0) $modwidth = "100"; 
if($this->countModules('spotlightright') == 0) $modwidth = "100";
if($this->countModules('spotlightleft and spotlightright') >= 1) $modwidth = "50";?> 

<?php 
if($this->countModules('newsleft or newsright') == 1) $newswidth = "100";
if($this->countModules('newsleft and newsright') >= 1) $newswidth = "50";?> 

<?php 
if($this->countModules('right') == 0) $width = "100"; 
if($this->countModules('right') >= 1) $width = "75";?> 

<?php 
if($this->countModules('user1 or user2 or user3') == 1) $userwidth = "-100"; 
if($this->countModules('user1 and user2') >= 1) $userwidth = "-50";
if($this->countModules('user2 and user3') >= 1) $userwidth = "-50";
if($this->countModules('user1 and user3') >= 1) $userwidth = "-50";
if($this->countModules('user1 and user2 and user3') >= 1) $userwidth = "-33";?> 


</head>
<body id="bg" class="color_<?php echo $this->params->get('colorVariation'); ?> "> 
<div id="wrapper">
<div id="innerwrapper"> 
   <div id="header"> 
   <div id="headwrap">
 <?php  if($this->countModules('top')) : ?><div id="top"><jdoc:include type="modules" name="top" style="xhtml" /></div><?php endif; ?>
 <?php  if($this->countModules('logo')) : ?><div id="logo"><jdoc:include type="modules" name="logo" style="xhtml" /></div><?php endif; ?> 
 <?php  if($this->countModules('banner')) : ?><div id="banner"><jdoc:include type="modules" name="banner" style="xhtml" /></div><?php endif; ?> 
<div id="mainmenuwrap"><div id="sf"><jdoc:include type="modules" name="menu" style="xhtml" /></div></div>
<div id="spotwrap">
<?php  if($this->countModules('spotlightleft')) : ?><div id="spotlightleft<?php  echo $modwidth; ?>"><jdoc:include type="modules" name="spotlightleft" style="xhtml" /></div><?php endif; ?>
<?php  if($this->countModules('spotlightright')) : ?><div id="spotlightright<?php  echo $modwidth; ?>"><jdoc:include type="modules" name="spotlightright" style="xhtml" /></div><?php endif; ?>
</div>
<div id="news">
<?php if($this->countModules('newsleft')== 1) : ?><div id="newsleft<?php  echo $newswidth; ?>"><jdoc:include type="modules" name="newsleft" style="xhtml"/></div><?php endif;?> 
<?php if($this->countModules('newsright')== 1): ?><div id="newsright<?php  echo $newswidth; ?>"><jdoc:include type="modules" name="newsright" style="xhtml" /></div><?php endif;?> 
</div>
   </div>
   </div></div>
      <div class="contentarea<?php  echo $width; ?>"><jdoc:include type="message" />
      <div id="content<?php  echo $width; ?>"><jdoc:include type="component" style="xhtml"/></div>    
   <?php  if($this->countModules('right')) : ?><div class="rightcontain"><div class="right"><jdoc:include type="modules" name="right" style="rounded" /></div></div><?php endif; ?>
<?php  if($this->countModules('breadcrumbs')) : ?><div id="pathway"><jdoc:include type="modules" name="breadcrumbs" style="xhtml" /></div> <?php endif; ?>

  </div>

<div id="userwrap"><div id="usermods">
  <?php  if($this->countModules('user1')) : ?><div id="user1<?php  echo $userwidth; ?>"><jdoc:include type="modules" name="user1" style="xhtml"/></div><?php endif;?>
  <?php  if($this->countModules('user2')) : ?><div id="user2<?php  echo $userwidth; ?>"><jdoc:include type="modules" name="user2" style="xhtml" /></div><?php endif;?> 
  <?php  if($this->countModules('user3')) : ?><div id="user3<?php  echo $userwidth; ?>"><jdoc:include type="modules" name="user3" style="xhtml" /></div><?php endif;?> 
</div>
  </div> 
<div id="footerouterwrap"><div id="pplogo"><a target="_blank" href="http://www.pixelpointcreative.com"> <img border="0" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/blank.gif" width="25" height="35" title="Pixel Point Creative" alt="Pixel Point Creative" /></a></div>
</div>
</div>
<div id="bottom"></div>
<div class="debug"><jdoc:include type="modules" name="debug" style="xhtml" /></div>
</body>
</html>
